NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.CAE.SolidPropertyCheckBuilder Class Reference

Represents a NXOpen.CAE.SolidPropertyCheckBuilder More...

Inheritance diagram for NXOpen.CAE.SolidPropertyCheckBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  CoupledSolutionOutput { Structural, Thermal }
 Coupled Solution output option More...
 
enum  UserUnit { DefaultUnit, KgMilli, LbmIn, LbfInSec }
 User Specified output unit More...
 
enum  ValueRequest {
  Volume, TotalMass, StructuralMass, NonStructuralMass,
  SurfaceArea, TotalMassThermalCapacitance, StructuralMassThermalCapacitance, NonStructuralMassThermalCapacitance,
  Length
}
 Solid property value request type More...
 

Public Member Functions

unsafe NXOpen.Vector3d GetCenterOfGravity (out NXOpen.Unit cgUnit)
 The center of gravity More...
 
unsafe NXOpen.Matrix3x3 GetCenterOfGravityMomentOfInertia (out NXOpen.Unit mmoiUnit)
 The center of gravity moment of inertia More...
 
unsafe NXOpen.Matrix3x3 GetGlobalMomentOfInertia (out NXOpen.Unit mmoiUnit)
 The global moment of inertia More...
 
unsafe NXOpen.Matrix3x3 GetPrincipalAxes ()
 The principal axes More...
 
unsafe NXOpen.Matrix3x3 GetPrincipalMomentOfInertia (out NXOpen.Unit mmoiUnit)
 The principal moment of inertia More...
 
unsafe NXOpen.Matrix3x3 GetReferenceCsysMomentOfInertia (out NXOpen.Unit mmoiUnit)
 The reference csys moment of inertia More...
 
unsafe void GetSolidPropertyValues (NXOpen.CAE.SolidPropertyCheckBuilder.ValueRequest[] valueTypes, out NXOpen.Unit[] valueUnits, out double[] values)
 The solid property values More...
 
unsafe void SetElementsForValueRequest (NXOpen.CAE.FEElement[] elements)
 The elements to be applied for value request More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.CAE.SolidPropertyCheckBuilder.CoupledSolutionOutput 
CoupledSolutionOption [get, set]
 Returns or sets the coupled solution output option More...
 
unsafe bool DefaultTemperatureOption [get, set]
 Returns or sets the output mass split option option More...
 
unsafe bool DisplayCgOption [get, set]
 Returns or sets the output mass split option option More...
 
unsafe
NXOpen.CAE.SelectElementsBuilder 
Elements [get]
 Returns the selected elements More...
 
unsafe NXOpen.Expression EvaluationTemparature [get]
 Returns the output temperature option in C More...
 
unsafe NXOpen.TaggedObject GroupObject [get, set]
 Returns or sets the group object More...
 
unsafe bool GroupOption [get, set]
 Returns or sets the group option More...
 
unsafe NXOpen.CAE.Mesh MeshObject [get, set]
 Returns or sets the mesh object More...
 
unsafe bool MeshOption [get, set]
 Returns or sets the mesh option More...
 
unsafe bool OutputOption [get, set]
 Returns or sets the detail output option More...
 
unsafe NXOpen.CoordinateSystem ReferenceCsys [get, set]
 Returns or sets the reference csys More...
 
unsafe bool SplitMass [get, set]
 Returns or sets the output mass split option option More...
 
unsafe
NXOpen.CAE.SolidPropertyCheckBuilder.UserUnit 
UserSpecifiedUnit [get, set]
 Returns or sets the output result unit More...
 
unsafe bool ValueRequestOption [get, set]
 Returns or sets the value request option More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.CAE.SolidPropertyCheckBuilder

To create a new instance of this class, use NXOpen.CAE.ModelCheckManager.CreateSolidPropertyCheckBuilder

Created in NX5.0.1

Member Enumeration Documentation

Coupled Solution output option

Enumerator
Structural 

structural results

Thermal 

thermal results

User Specified output unit

Enumerator
DefaultUnit 

Load unit = same as system default unit

KgMilli 

mass = kg, cg = mm, volume = mm^3 mmoi = kg-mm^2

LbmIn 

mass = lbm, cg = in, volume = in^3 mmoi = lbm-in^2

LbfInSec 

mass = lbf-sec^2/in, cg = in, volume = in^3 mmoi = lbf-in-sec^2

Solid property value request type

Enumerator
Volume 

volume

TotalMass 

total mass

StructuralMass 

structural mass

NonStructuralMass 

non-structural mass

SurfaceArea 

surface area

TotalMassThermalCapacitance 

total mass thermal capacitance

StructuralMassThermalCapacitance 

structural mass thermal capacitance

NonStructuralMassThermalCapacitance 

non-structural mass thermal capacitance

Length 

length

Member Function Documentation

unsafe NXOpen.Vector3d NXOpen.CAE.SolidPropertyCheckBuilder.GetCenterOfGravity ( out NXOpen.Unit  cgUnit)
inline

The center of gravity

Created in NX12.0.1

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
cgUnit
Returns
unsafe NXOpen.Matrix3x3 NXOpen.CAE.SolidPropertyCheckBuilder.GetCenterOfGravityMomentOfInertia ( out NXOpen.Unit  mmoiUnit)
inline

The center of gravity moment of inertia

Created in NX12.0.1

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
mmoiUnit
Returns
unsafe NXOpen.Matrix3x3 NXOpen.CAE.SolidPropertyCheckBuilder.GetGlobalMomentOfInertia ( out NXOpen.Unit  mmoiUnit)
inline

The global moment of inertia

Created in NX12.0.1

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
mmoiUnit
Returns
unsafe NXOpen.Matrix3x3 NXOpen.CAE.SolidPropertyCheckBuilder.GetPrincipalAxes ( )
inline

The principal axes

Created in NX12.0.1

License requirements: nx_masterfem ("Finite Element Modeling")

Returns
unsafe NXOpen.Matrix3x3 NXOpen.CAE.SolidPropertyCheckBuilder.GetPrincipalMomentOfInertia ( out NXOpen.Unit  mmoiUnit)
inline

The principal moment of inertia

Created in NX12.0.1

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
mmoiUnit
Returns
unsafe NXOpen.Matrix3x3 NXOpen.CAE.SolidPropertyCheckBuilder.GetReferenceCsysMomentOfInertia ( out NXOpen.Unit  mmoiUnit)
inline

The reference csys moment of inertia

Created in NX12.0.1

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
mmoiUnit
Returns
unsafe void NXOpen.CAE.SolidPropertyCheckBuilder.GetSolidPropertyValues ( NXOpen.CAE.SolidPropertyCheckBuilder.ValueRequest[]  valueTypes,
out NXOpen.Unit[]  valueUnits,
out double[]  values 
)
inline

The solid property values

Created in NX12.0.1

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
valueTypes
valueUnits
values
unsafe void NXOpen.CAE.SolidPropertyCheckBuilder.SetElementsForValueRequest ( NXOpen.CAE.FEElement[]  elements)
inline

The elements to be applied for value request

Created in NX12.0.1

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
elements

Property Documentation

unsafe NXOpen.CAE.SolidPropertyCheckBuilder.CoupledSolutionOutput NXOpen.CAE.SolidPropertyCheckBuilder.CoupledSolutionOption
getset

Returns or sets the coupled solution output option

Created in NX10.0.1

License requirements to get this property: nx_masterfem ("Finite Element Modeling")

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe bool NXOpen.CAE.SolidPropertyCheckBuilder.DefaultTemperatureOption
getset

Returns or sets the output mass split option option

Created in NX5.0.1

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe bool NXOpen.CAE.SolidPropertyCheckBuilder.DisplayCgOption
getset

Returns or sets the output mass split option option

Created in NX5.0.1

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.SelectElementsBuilder NXOpen.CAE.SolidPropertyCheckBuilder.Elements
get

Returns the selected elements

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.CAE.SolidPropertyCheckBuilder.EvaluationTemparature
get

Returns the output temperature option in C

Created in NX5.0.1

License requirements: None.

unsafe NXOpen.TaggedObject NXOpen.CAE.SolidPropertyCheckBuilder.GroupObject
getset

Returns or sets the group object

Created in NX12.0.1

License requirements to get this property: nx_masterfem ("Finite Element Modeling")

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe bool NXOpen.CAE.SolidPropertyCheckBuilder.GroupOption
getset

Returns or sets the group option

Created in NX12.0.1

License requirements to get this property: nx_masterfem ("Finite Element Modeling")

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.Mesh NXOpen.CAE.SolidPropertyCheckBuilder.MeshObject
getset

Returns or sets the mesh object

Created in NX12.0.1

License requirements to get this property: nx_masterfem ("Finite Element Modeling")

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe bool NXOpen.CAE.SolidPropertyCheckBuilder.MeshOption
getset

Returns or sets the mesh option

Created in NX12.0.1

License requirements to get this property: nx_masterfem ("Finite Element Modeling")

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe bool NXOpen.CAE.SolidPropertyCheckBuilder.OutputOption
getset

Returns or sets the detail output option

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CoordinateSystem NXOpen.CAE.SolidPropertyCheckBuilder.ReferenceCsys
getset

Returns or sets the reference csys

Created in NX5.0.1

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe bool NXOpen.CAE.SolidPropertyCheckBuilder.SplitMass
getset

Returns or sets the output mass split option option

Created in NX5.0.1

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.SolidPropertyCheckBuilder.UserUnit NXOpen.CAE.SolidPropertyCheckBuilder.UserSpecifiedUnit
getset

Returns or sets the output result unit

Created in NX5.0.1

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe bool NXOpen.CAE.SolidPropertyCheckBuilder.ValueRequestOption
getset

Returns or sets the value request option

Created in NX12.0.1

License requirements to get this property: nx_masterfem ("Finite Element Modeling")

License requirements to set this property: nx_masterfem ("Finite Element Modeling")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.